## ubuntu-release-upgrader 0.190.1

=== debian/changelog ===
ubuntu-release-upgrader (1:0.190.1) quantal-proposed; urgency=low

  * remove "gdm" from KeyDependencies (LP: #1067359)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 16 Oct 2012 16:26:02 +0200

ubuntu-release-upgrader (1:0.190) quantal-proposed; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - fix crash in "Invalid package information", thanks to Brian Murray

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 12 Oct 2012 18:19:23 +0200

ubuntu-release-upgrader (1:0.189) quantal-proposed; urgency=low

  * debian/ubuntu-release-upgrader-core.preinst: modify prompt to be Prompt on
    new installs of ubuntu-release-upgrader too since it is a new package in
    quantal (LP: #1065754)

 -- Brian Murray <brian@ubuntu.com>  Thu, 11 Oct 2012 16:21:11 -0700

ubuntu-release-upgrader (1:0.188) quantal; urgency=low

  * ensure that translations are loaded (LP: #1058102)
  * update translations from Launchpad

 -- Brian Murray <brian@ubuntu.com>  Tue, 09 Oct 2012 09:07:12 -0700

ubuntu-release-upgrader (1:0.187) quantal; urgency=low

  * DistUpgradeMain.py: ensure that translations are loaded (LP: #1058102)

 -- Brian Murray <brian@ubuntu.com>  Wed, 03 Oct 2012 16:22:48 -0700

ubuntu-release-upgrader (1:0.186) quantal; urgency=low

  * DistUpgradeApport.py: don't use a '/' as a key name in the apport report
    as this will cause an assertion error and prevent any attachments from
    being included (LP: #1060353)

 -- Brian Murray <brian@ubuntu.com>  Tue, 02 Oct 2012 10:57:22 -0700

ubuntu-release-upgrader (1:0.185) quantal; urgency=low

  * Pass the current locale's preferred encoding to bytes.decode(), since
    Python 2 has a silly default.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Oct 2012 17:53:26 +0100

ubuntu-release-upgrader (1:0.184.1) quantal; urgency=low

  *  lp:~mvo/ubuntu-release-upgrader/lp1052605 into lp:ubuntu-release-upgrader:
     - spinning on the dpkg lock for a short while before giving up
     - reverting cleanly if the cache open fails after a sources.list update
       but before anything got installed
     (LP: #1052605)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 02 Oct 2012 18:44:01 +0200

ubuntu-release-upgrader (1:0.184) quantal; urgency=low

  * Decode the output of apt_pkg.size_to_str() if necessary when
    substituting it into Unicode strings (LP: #1031882).
  * Ship /usr/share/keyrings/ubuntu-archive-keyring.gpg as
    utils/apt/trusted.gpg (although that's only for tests anyway), rather
    than whatever happens to be in /etc/apt/trusted.gpg on the system used
    to build the source package.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Oct 2012 16:09:02 +0100

ubuntu-release-upgrader (1:0.183) quantal; urgency=low

  * debian/ubuntu-release-upgrader-core.preinst: modify
    /etc/dist-upgrader/release-upgrades to use Prompt instead of prompt
    thereby avoiding a conffile prompt (LP: #1045579)

 -- Brian Murray <brian@ubuntu.com>  Mon, 01 Oct 2012 17:28:23 -0700

ubuntu-release-upgrader (1:0.182) quantal; urgency=low

  * source_ubuntu_release_upgrader.py: Do not try to add apt-clone system
    state if it does not exist 
  * DistUpgradeApport.py: handle the case where python-apport is not installed
    (LP: #1059403)

 -- Brian Murray <brian@ubuntu.com>  Mon, 01 Oct 2012 12:56:39 -0700

ubuntu-release-upgrader (1:0.181) quantal; urgency=low

  [ Colin Watson ]
  * DistUpgrade/DistUpgradeController.py: Guard against UnboundLocalError in
    doDistUpgradeFetching.

  [ Brian Murray ]
  * ensure that apt-clone system state is included in bug reports filed by
    apport
  * DistUpgrade/DistUpgradeController.py: properly handle source entries with
    unicode comments in them (LP: #1039484)

 -- Brian Murray <brian@ubuntu.com>  Thu, 27 Sep 2012 09:31:58 -0700

ubuntu-release-upgrader (1:0.180) quantal; urgency=low

  * drop "unity-2d" from removal blacklist

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 04 Sep 2012 10:01:45 +0200

ubuntu-release-upgrader (1:0.179) quantal; urgency=low

  * include the gtkbuilder/ dir again in the tarball to fix
    GUI upgrades (LP: #1043696)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 30 Aug 2012 10:53:55 +0200

ubuntu-release-upgrader (1:0.178) quantal; urgency=low

  [ Michael Vogt ]
  * add unity_support_test as a upgrader quirk (LP: #1035261)

  [ Jonathan Riddell ]
  * Remove kdm and xsettings-kde

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 10 Aug 2012 16:54:36 +0200

ubuntu-release-upgrader (1:0.177) quantal; urgency=low

  * Apparently the buildds also have LC_ALL set to C, so the previous upload
    wasn't enough to workaround the problem. This time override both LANG
    and LC_ALL.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 08 Aug 2012 19:20:59 -0400

ubuntu-release-upgrader (1:0.176) quantal; urgency=low

  * Use LANG=C.UTF-8 to prevent a python crash when running setup.py with
    an uploader name containing utf-8 on buildds using LANG=C.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 08 Aug 2012 18:55:01 -0400

ubuntu-release-upgrader (1:0.175) quantal; urgency=low

  * Fix removal_blacklist to blacklist "^screen$" instead of "screen".
    This fixes cases where the upgrade would fail because of a package
    containing "screen" being removed. (LP: #1029531)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 08 Aug 2012 17:57:36 -0400

ubuntu-release-upgrader (1:0.174) quantal-proposed; urgency=low

  * DistUpgrade/DistUpgradeApport.py: use a whitelist to ensure that only
    specified files are gathered when creating an apport crash report
    (LP: #1004503)

 -- Brian Murray <brian@ubuntu.com>  Wed, 25 Jul 2012 12:06:06 -0700

ubuntu-release-upgrader (1:0.173) quantal; urgency=low

  * tests/test_sources_list.py:
    - Skip mirror test if the mirror is unreachable
    - Use US mirror instead of DE mirror because the US one happens to
      be reachable inside the data center where the Jenkins automatic
      test are run.
  * DistUpgrade/build-tarball.sh:

