## ubuntu-release-upgrader 0.190.5

=== debian/changelog ===
ubuntu-release-upgrader (1:0.190.5) quantal-proposed; urgency=low

  * Resolve an encoding issue when a user responds with non-ascii test in the
    text view (LP: #1071388)

 -- Brian Murray <brian@ubuntu.com>  Wed, 12 Dec 2012 15:53:53 -0800

ubuntu-release-upgrader (1:0.190.4) quantal-proposed; urgency=low

  * Fix command line invocation of "./do-release-upgrade -d"
    LP: #1076186
  * debian/rules: setup.py is only compatible with Python 3, but the
    dh_auto_* commands don't know how to invoke Python 3 yet.  So
    disable the up-calls in override_dh_auto_{build,install} since
    they aren't needed, and provide the explicit call for
    override_dh_auto_clean.

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 08 Nov 2012 15:13:39 -0500

ubuntu-release-upgrader (1:0.190.3) quantal-proposed; urgency=low

  * DistUpgrade.ui: allow the conf file dialog to be resizable and set it to a
    larger initial size.  Thanks to Michael Terry for the fix. (LP: #1065806)
  * DistUpgradeApport.py: check to see if --tags is available before trying to
    use it (LP: #1070043)

 -- Brian Murray <brian@ubuntu.com>  Tue, 23 Oct 2012 10:45:58 -0700

ubuntu-release-upgrader (1:0.190.2) quantal-proposed; urgency=low

  * fix unicode releated crash in non-english locales (LP: #1068389)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 19 Oct 2012 09:30:36 +0200
