## ubuntu-release-upgrader 0.190.6

=== debian/changelog ===
ubuntu-release-upgrader (1:0.190.6) quantal-proposed; urgency=low

  * Fix a couple path joins and bugs that prevented check-new-release-gtk
    from working.  (LP: #1094777)

 -- Michael Terry <mterry@ubuntu.com>  Tue, 22 Jan 2013 10:21:27 -0500
