## ubuntu-release-upgrader 0.190.7

=== debian/changelog ===
ubuntu-release-upgrader (1:0.190.7) quantal-security; urgency=low

  * No change rebuild in the -security pocket

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 21 Jun 2013 10:57:29 -0400
