## ubuntu-release-upgrader 0.190.8

=== debian/changelog ===
ubuntu-release-upgrader (1:0.190.8) quantal-proposed; urgency=low

  * u-r-u-gtk: Depend on gksu so that distribution upgrades will work
    (LP: #1210649) 
  * u-r-u-gtk: Depend on gir1.2-webkit-3.0 (LP: #1215526)
  * DistUpgradeFetcher.py: Properly pass Gtk.window to error
    (LP: #1199984)

 -- Brian Murray <brian@ubuntu.com>  Thu, 22 Aug 2013 13:38:36 -0700
