=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,8 @@
 	dh $@ $(DH_ARGS)
 
 override_dh_auto_clean:
-	dh_auto_clean
+	#dh_auto_clean
+	python3 setup.py clean -a
 	rm -rf ./build ./DistUpgrade/$(DEBVER) ./DistUpgrade/mo \
 		./DistUpgrade/$(DIST)  ./DistUpgrade/$(DIST).tar.gz \
 		 ./DistUpgrade/ubuntu-drivers-obsolete.pkgs ./po/mo
@@ -33,13 +34,13 @@
 	dpkg-distaddfile $(TARNAME) raw-dist-upgrader -
 
 override_dh_auto_build:
-	dh_auto_build
+	#dh_auto_build
 	set -ex; for python in $(PY3); do \
 		LANG=C.UTF-8 LC_ALL=C.UTF-8 $$python setup.py build; \
 	done
 
 override_dh_auto_install:
-	dh_auto_install
+	#dh_auto_install
 	set -ex; for python in $(PY3); do \
 		LANG=C.UTF-8 LC_ALL=C.UTF-8 $$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
 	done
