## ubuntu-release-upgrader 0.192.5

=== debian/changelog ===
ubuntu-release-upgrader (1:0.192.5) raring; urgency=low

  * Fix a couple path joins and bugs that prevented check-new-release-gtk
    from working.  (LP: #1094777)

 -- Michael Terry <mterry@ubuntu.com>  Tue, 22 Jan 2013 09:46:57 -0500

ubuntu-release-upgrader (1:0.192.4) raring; urgency=low

  * Ensure that partial upgrades are fully translated (LP: #1072828) thanks to
    Gabor Kelemen for the initial patch.
  * Remove code enabling apport since it is always running (LP: #1068874)
  * check-new-release-gtk: set the correct translation domain thanks to Gabor
    Kelemen for patch (LP: #1093697)
  * DistUpgradeController.py: call apport-bug with the binary package name not
    the source package name (LP: #1098001)
  * source_ubuntu-release-upgrader.py: set the crash database to Ubuntu to
    allow reporting of bugs even if the package does not seem to be official
    (LP: #1067542)

 -- Brian Murray <brian@ubuntu.com>  Fri, 11 Jan 2013 16:19:26 -0800

ubuntu-release-upgrader (1:0.192.3) raring; urgency=low

  * fix FTBFS if there are no __pycache__ dirs

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 14 Dec 2012 14:44:49 +0100

ubuntu-release-upgrader (1:0.192.2) raring; urgency=low

  [ Brian Murray ]
  * Call dpkg using the full path (LP: #1085844)

  [ Colin Watson ]
  * Remove calls to (currently) Python 2-only dh_auto_* (LP: #1089861).

  [ Michael Vogt ]
  * fix GObject->GLib deprecation warnings
  * lp:~mvo/ubuntu-release-upgrader/fix-component-ordering/:
    - ensure stable component order in sources.list for official
      components, this fixes a ADT failure

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 14 Dec 2012 13:29:38 +0100

ubuntu-release-upgrader (1:0.192.1) raring; urgency=low

  * Resolve an encoding issue when a user responds with non-ascii test in the
    text view (LP: #1071388)

 -- Brian Murray <brian@ubuntu.com>  Tue, 11 Dec 2012 16:49:29 -0800

ubuntu-release-upgrader (1:0.192) raring; urgency=low

  * do-release-upgrade:
    - Fix crasher when not using gtk (LP: #1076186)

 -- Michael Terry <mterry@ubuntu.com>  Tue, 13 Nov 2012 10:18:47 -0500

ubuntu-release-upgrader (1:0.191.2) raring; urgency=low

  * tests/test_view.py: Use "tee" as pager instead of "less", so that this
    test also works in an environment without stdout.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 09 Nov 2012 13:51:34 +0100

ubuntu-release-upgrader (1:0.191.1) raring-proposed; urgency=low

  [ Michael Vogt ]
  * update all string for quantal->raring upgrade

  [ Brian Murray ]
  * rewrite sources if using a local mirror without backports (LP: #1067393) 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 05 Nov 2012 09:44:11 +0100

ubuntu-release-upgrader (1:0.191) raring; urgency=low

  * support quantal->raring release upgrades

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 30 Oct 2012 09:33:50 +0100
