## ubuntu-release-upgrader 0.192.10

=== debian/changelog ===
ubuntu-release-upgrader (1:0.192.10) raring; urgency=low

  * Add in Ubuntu.mirrors from python-apt-common for the release upgrader
    (LP: #1069745)

 -- Brian Murray <brian@ubuntu.com>  Fri, 19 Apr 2013 08:18:15 -0700

ubuntu-release-upgrader (1:0.192.9) raring; urgency=low

  [ Barry Warsaw ]
  * Fix UnboundLocalError caused by corner case in the Python 3 language
    spec. (LP: #1102593)

  [ Jonathan Riddell ]
  * Use correct argument for frontend in kubuntu-devel-release-upgrade

  [ Brian Murray ]
  * Remove cups-pdf from ForcedObsoletes in DistUpgrade.cfg (LP: #457221)

 -- Brian Murray <brian@ubuntu.com>  Thu, 18 Apr 2013 13:10:08 -0700

ubuntu-release-upgrader (1:0.192.8) raring; urgency=low

  * fallback to UTF-8 if getdefaultlocale returns None (LP: #1166346)

 -- Brian Murray <brian@ubuntu.com>  Wed, 10 Apr 2013 10:49:50 -0700

ubuntu-release-upgrader (1:0.192.7) raring; urgency=low

  * in doPostInitialUpdate return false if there is no cache (LP: #1127451)

 -- Brian Murray <brian@ubuntu.com>  Mon, 08 Apr 2013 14:23:32 -0700

ubuntu-release-upgrader (1:0.192.6) raring; urgency=low

  * No change rebuild to regenerate DevelReleaseAnnouncement.html

 -- Michael Terry <mterry@ubuntu.com>  Mon, 18 Mar 2013 13:23:37 -0400
