## ubuntu-release-upgrader 0.192.13

=== debian/changelog ===
ubuntu-release-upgrader (1:0.192.13) raring-proposed; urgency=low

  * u-r-u-gtk: Depend on gksu so that distribution upgrades will work
    (LP: #1210649) 
  * u-r-u-gtk: Depend on gir1.2-webkit-3.0 (LP: #1215526)
  * DistUpgradeFetcher.py: Properly pass Gtk.window to error
    (LP: #1199984)

 -- Brian Murray <brian@ubuntu.com>  Tue, 20 Aug 2013 15:32:42 -0700

ubuntu-release-upgrader (1:0.192.12) raring-proposed; urgency=low

  * pass along devel-release switch to the dist-upgrader so that proposed
    repositories can be disabled if one is upgrading to the the development
    release (LP: #1199157) 

 -- Brian Murray <brian@ubuntu.com>  Thu, 11 Jul 2013 10:33:45 -0700

ubuntu-release-upgrader (1:0.192.11) raring-proposed; urgency=low

  [ Dustin Kirkland ]
  * debian/release-upgrade-motd: LP: #1173209
    - recheck release upgrade once-a-day, even if stamp file is
      already populated
    - this partially fixes the sticky "upgrade available" message,
      after successfully upgrading, even if the stamp is not removed
  * DistUpgrade/DistUpgradeController.py: LP: #1173209
    - remove the upgrade-available flag, on upgrade completion

 -- Brian Murray <brian@ubuntu.com>  Mon, 20 May 2013 09:58:36 -0700
