=== debian/control ===
--- 
+++ 
@@ -59,7 +59,8 @@
          python3-gi,
          gir1.2-vte-2.90, 
          gir1.2-gtk-3.0,
-Recommends: gir1.2-webkit-3.0
+         gir1.2-webkit-3.0,
+         gksu
 Description: manage release upgrades
  This is the GTK+ frontend of the Ubuntu Release Upgrader
