## ubuntu-release-upgrader 0.205

=== debian/changelog ===
ubuntu-release-upgrader (1:0.205) saucy; urgency=low

  * Instead of using gksu to authenticate for the distribution upgrade, use
    do-release-upgrade with pkexec (LP: #1210649)

 -- Brian Murray <brian@ubuntu.com>  Fri, 04 Oct 2013 19:17:49 -0700

ubuntu-release-upgrader (1:0.204) saucy; urgency=low

  * Call update-manager instead of raising it's UnsupportedDialog
    error. (LP: #1210643) Thanks to Dylan McCall for some help with this.
  * Replace references to 13.04 with 13.10 (LP: #1225665)

 -- Brian Murray <brian@ubuntu.com>  Tue, 17 Sep 2013 14:35:25 -0700

ubuntu-release-upgrader (1:0.203) saucy; urgency=low

  [ Brian Murray ]
  * test/test_sources_list.py: resolve test failure regarding EOL upgrades
  * DistUpgradeQuirks.py: pep8 cleanup, remove some additional unnecessary
    quirks
  * DistUpgrade/patches/: remove pycompile patch

  [ Steve Langasek ]
  * Drop all quirks for upgrades prior to the karmic->lucid upgrade; all
    releases earlier than 10.04 are entirely EOLed, and in any case users
    should not be upgrading directly from such old releases to 13.10 or
    later without going through the intermediate LTS releases, so this is
    all dead code.
  * Drop use of base-installer for detecting "recommended" kernels for the
    hardware.  So far this code was only ever used for a one-time transition
    when more specialized kernel flavors became available on i386 that were
    preferred over the -386 flavor, and in the meantime the code is causing
    wrong results on upgrade for users of UbuntuStudio, which ships a kernel
    flavor that's not known by base-installer.  LP: #1220898.

 -- Brian Murray <brian@ubuntu.com>  Thu, 12 Sep 2013 10:38:41 -0700

ubuntu-release-upgrader (1:0.202) saucy; urgency=low

  * DistUpgradeQuirks.py: when removing .crash files also remove whoopsie
    .upload and .uploaded files
  * DistUpgradeCache.py: remove unhelpful system error message from upgrade
    failure dialog (LP: #1221307)

 -- Brian Murray <brian@ubuntu.com>  Mon, 09 Sep 2013 16:37:20 -0700

ubuntu-release-upgrader (1:0.201) saucy; urgency=low

  [ Colin Watson ]
  * DistUpgrade/DistUpgradeController.py: Fix "alllowed" typo.

  [ Brian Murray ]
  * DistUpgrade/DevelReleaseAnnouncement: indicate that it is a Beta now

 -- Brian Murray <brian@ubuntu.com>  Thu, 05 Sep 2013 10:07:13 -0700

ubuntu-release-upgrader (1:0.200) saucy; urgency=low

  * DistUpgradeFetcher.py: Properly pass Gtk.window to error (LP: #1199984)
  * ubuntu-release-upgrader-gtk: depend on gir1.2-webkit-3.0 (LP: #1215526)

 -- Brian Murray <brian@ubuntu.com>  Thu, 22 Aug 2013 09:48:10 -0700

ubuntu-release-upgrader (1:0.199) saucy; urgency=low

  * Drop obsolete GObject.threads_init() calls to avoid warnings.  Bump
    python-gi dependency.
  * Update release version in DistUpgradeQuirks.py (LP: #1202826)
  * Modify demotions so that they are generated for saucy
  * Modify how no_longer_supported_nag is set and fix test failure for
    test_end_of_life.py, thanks to Michael Terry.

 -- Brian Murray <brian@ubuntu.com>  Tue, 06 Aug 2013 13:43:33 -0700

ubuntu-release-upgrader (1:0.198) saucy; urgency=low

  * Add devel_release to options so that the fix for bug 1199157 really works
    (LP: #1200135)

 -- Brian Murray <brian@ubuntu.com>  Thu, 11 Jul 2013 11:09:44 -0700

ubuntu-release-upgrader (1:0.197) saucy; urgency=low

  [ Andrew Starr-Bochicchio ]
  * Disable proposed on upgrade to a development release (LP: #1199157).

 -- Brian Murray <brian@ubuntu.com>  Tue, 09 Jul 2013 11:40:52 -0700

ubuntu-release-upgrader (1:0.196) saucy; urgency=low

  * Re-sync the local copy of invoke-rc.d with the one from sysvinit.
    Patch still applies cleanly. (LP: #1185364)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 29 May 2013 11:16:20 -0400

ubuntu-release-upgrader (1:0.195) saucy; urgency=low

  [ Dustin Kirkland ]
  * debian/release-upgrade-motd: LP: #1173209
    - recheck release upgrade once-a-day, even if stamp file is
      already populated
    - this partially fixes the sticky "upgrade available" message,
      after successfully upgrading, even if the stamp is not removed
  * DistUpgrade/DistUpgradeController.py: LP: #1173209
    - remove the upgrade-available flag, on upgrade completion
  * debian/ubuntu-release-upgrader-core.postinst: LP: #1173209
    - clear the upgrade-available flag, on postinst; it will automatically
      repopulate, if necessary

  [ Brian Murray ]
  * DistUpgradeCache.py: encode error message as UTF-8 (LP: #1177821)
  * DistUpgradeCache.py: double size estimate need in boot (LP: #1173468)

 -- Brian Murray <brian@ubuntu.com>  Fri, 17 May 2013 09:09:01 -0700

ubuntu-release-upgrader (1:0.194) saucy; urgency=low

  * support raring->saucy release upgrades harder

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 30 Apr 2013 11:43:32 -0600

ubuntu-release-upgrader (1:0.193) saucy; urgency=low

  * support raring->saucy release upgrades

 -- Brian Murray <brian@ubuntu.com>  Mon, 29 Apr 2013 13:36:33 -0700
