=== debian/control ===
--- 
+++ 
@@ -56,11 +56,10 @@
          update-manager,
          python3-distupgrade (= ${source:Version}),
          python3-dbus,
-         python3-gi,
+         python3-gi (>= 3.8),
          gir1.2-vte-2.90, 
          gir1.2-gtk-3.0,
-         gir1.2-webkit-3.0,
-         gksu
+         gir1.2-webkit-3.0
 Description: manage release upgrades
  This is the GTK+ frontend of the Ubuntu Release Upgrader
