## ubuntu-release-upgrader 0.205.6

=== debian/changelog ===
ubuntu-release-upgrader (1:0.205.6) saucy-proposed; urgency=medium

  * Properly display error messages encountered by DistUpgradeFetcherCore.
    (LP: #1310851)

 -- Brian Murray <brian@ubuntu.com>  Mon, 21 Apr 2014 16:44:54 -0700

ubuntu-release-upgrader (1:0.205.5) saucy-proposed; urgency=medium

  * debian/source_ubuntu-release-upgrader.py: create a DuplicateSignature by
    stripping out the tmpdir from the Traceback (LP: #1289580)
  * debian/control.py: depend on python-apport since DistUpgradeApport.py
    imports it and the release upgrader does not use python3 (LP: #1289604)

 -- Brian Murray <brian@ubuntu.com>  Fri, 07 Mar 2014 15:26:12 -0800

ubuntu-release-upgrader (1:0.205.4) saucy-proposed; urgency=low

  * Ensure quantal specific files (DistUpgrade.cfg and demoted.cfg) are in the
    release upgrader tarball

 -- Brian Murray <brian@ubuntu.com>  Thu, 12 Dec 2013 17:10:36 -0800

ubuntu-release-upgrader (1:0.205.3) saucy-proposed; urgency=low

  * Support release upgrades from Quantal to Saucy as Raring becomes
    End of Life before Quantal does.  (LP: #1258639)

 -- Brian Murray <brian@ubuntu.com>  Fri, 06 Dec 2013 12:51:55 -0800

ubuntu-release-upgrader (1:0.205.2) saucy-proposed; urgency=low

  * DistUpgrade/DistUpgradeCache.py: Do not initialize the cache until we know
    it is unlocked.  (LP: #1214186)

 -- Brian Murray <brian@ubuntu.com>  Fri, 25 Oct 2013 10:01:55 -0700

ubuntu-release-upgrader (1:0.205.1) saucy-proposed; urgency=low

  * Remove lubuntu-desktop PostUpgradeRemove rule as it is unnecessary
    (LP: #1241123)

 -- Brian Murray <brian@ubuntu.com>  Fri, 18 Oct 2013 15:51:23 -0700
