## ubuntu-release-upgrader 0.205.7

=== debian/changelog ===
ubuntu-release-upgrader (1:0.205.7) saucy-proposed; urgency=medium

  * Fix translations (hr, id, eo, ug) of check-new-release-gtk dialog
    which cause a crash and users not to be notified of the new version.
    (LP: #1311396)

 -- Brian Murray <brian@ubuntu.com>  Wed, 23 Apr 2014 10:32:42 -0700
