=== debian/control ===
--- 
+++ 
@@ -41,6 +41,7 @@
          ${misc:Depends},
          python3-update-manager,
          python3-apt (>= 0.8.5~),
+         python-apport,
          lsb-release
 Replaces: python3-update-manager (<< 1:0.165)
 Breaks: python3-update-manager (<< 1:0.165)
