## ubuntu-release-upgrader 0.220.2

=== debian/changelog ===
ubuntu-release-upgrader (1:0.220.2) trusty; urgency=medium

  * DistUpgrade/DistUpgradeController.py:
    - really backup sources.list first (LP: #1276931)

 -- Brian Murray <brian@ubuntu.com>  Fri, 11 Apr 2014 15:25:07 -0700

ubuntu-release-upgrader (1:0.220.1) trusty; urgency=low

  * fix error message in motd on fresh install (LP: #1306673)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 11 Apr 2014 17:59:31 +0200

ubuntu-release-upgrader (1:0.220) trusty; urgency=low

  * DistUpgrade/DistUpgradeCache.py: 
    - add Debug::pkgDepCache::Marker into the apt.log debug output
  * data/removal_blacklist.cfg: 
    - gnome-session does not need special protection anymore
  * DistUpgrade/DistUpgradeViewText.py: 
    - do not crash on EPIPE from the pager (e.g. if the user
      closes the pager early)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 08 Apr 2014 17:39:37 +0200

ubuntu-release-upgrader (1:0.219.4) trusty; urgency=low

  * data/release-upgrades:
    - set the default upgrade prompt to "lts" instead of "normal" so that
      the LTS users will only see the automatic upgrade prompt when the
      next LTS version is ready

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 08 Apr 2014 09:12:55 +0200

ubuntu-release-upgrader (1:0.219.3) trusty; urgency=low

  * DistUpgrade/DistUpgradeView.py:
    - do not crash if a pkg is in Reinstall state (e.g. from 
      pkgApplyStatus) LP: #1294124
  * DistUpgrade/DistUpgradeViewGtk3.py:
    - disable plugins in html webkit view
  * pre-build.sh:
    - calculate demotions from saucy->trusty and precise->trusty
  * fix pylfakes issue

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 07 Apr 2014 14:07:10 +0200

ubuntu-release-upgrader (1:0.219.2) trusty; urgency=medium

  * DistUpgrade/DevelReleaseAnnouncement: Stop using "alpha" or "beta"
    in the devel release warning, and use more generic devel wording.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 28 Mar 2014 16:14:44 -0600

ubuntu-release-upgrader (1:0.219.1) trusty; urgency=medium

  * DistUpgrade/DistUpgradeApport.py: if we are running with a display set
    assume that update-notifier is running and do not launch apport thereby
    preventing it from being launched two times. (LP: #1294814)

 -- Brian Murray <brian@ubuntu.com>  Fri, 28 Mar 2014 07:43:25 -0700

ubuntu-release-upgrader (1:0.219) trusty; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: only check for PAE support on i386 or
    amd64 systems. (LP: #1294392)

 -- Brian Murray <brian@ubuntu.com>  Fri, 21 Mar 2014 14:27:34 -0700

ubuntu-release-upgrader (1:0.218) trusty; urgency=medium

  * DistUpgrade/DistUpgradeApport.py: for crashes in the release upgrader
    tarball set the package version to the one from the tarball i.e.
    DistUpgradeVersion.py.

 -- Brian Murray <brian@ubuntu.com>  Tue, 18 Mar 2014 11:14:54 -0700

ubuntu-release-upgrader (1:0.217) trusty; urgency=medium

  * debian/91-release-upgrade: if using the development release don't check
    for a new release.
  * include new version of python-apt's sourceslist.py (LP: #1278280)

 -- Brian Murray <brian@ubuntu.com>  Mon, 17 Mar 2014 16:30:41 -0700

ubuntu-release-upgrader (1:0.216.1) trusty; urgency=medium

  * debian/control: do not depend on python3-apport as this recommends apport
    which pull in a lot more packages on servers.

 -- Brian Murray <brian@ubuntu.com>  Thu, 13 Mar 2014 10:06:07 -0700

ubuntu-release-upgrader (1:0.216) trusty; urgency=medium

  * debian/control.py: depend on python3-apport since the release upgrader for
    U will be using python3 not python2.

 -- Brian Murray <brian@ubuntu.com>  Mon, 10 Mar 2014 10:01:49 -0700

ubuntu-release-upgrader (1:0.215) trusty; urgency=medium

  * do-release-upgrade: indicate that -p and -d switches are mutually
    exclusive (LP: #1071025)
  * debian/control.py: depend on python-apport since DistUpgradeApport.py
    imports it and the release upgrader does not use python3 (LP: #1289604)
  * debian/source_ubuntu-release-upgrader.py: create a DuplicateSignature by
    stripping out the tmpdir from the Traceback (LP: #1289850)

 -- Brian Murray <brian@ubuntu.com>  Fri, 07 Mar 2014 14:29:14 -0800

ubuntu-release-upgrader (1:0.214) trusty; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: On 12.04 stop the upgrade process if the
    system does not support PAE. Thanks to Chris Bainbridge for the initial
    patch. (LP: #1160346)

 -- Brian Murray <brian@ubuntu.com>  Wed, 05 Mar 2014 12:53:48 -0800

ubuntu-release-upgrader (1:0.213) trusty; urgency=medium

  * DistUpgrade/DistUpgradeController.py: Catch exception if apport is not
    installed and fail gracefully. Thanks to Jean-Baptiste Lallement for the
    initial patch. (LP: #1285545)

 -- Brian Murray <brian@ubuntu.com>  Wed, 05 Mar 2014 10:56:40 -0800

ubuntu-release-upgrader (1:0.212) trusty; urgency=medium

  * tests/test_quirks.py: Only run fglrx tests on amd64 and i386 

 -- Brian Murray <brian@ubuntu.com>  Thu, 27 Feb 2014 15:05:32 -0800

ubuntu-release-upgrader (1:0.211) trusty; urgency=medium

  * DistUpgrade/DistUpgradeFetcherCore.py: set inheritance of file descriptors
    for python3.4 (LP: #1272387)

 -- Brian Murray <brian@ubuntu.com>  Mon, 24 Feb 2014 16:28:23 -0800

ubuntu-release-upgrader (1:0.210) trusty; urgency=low

  [ Brian Murray ]
  * data/DistUpgrade.cfg.precise: change kernel removals to 3.2.0
  * source_ubuntu-release-upgrader.py: collect dmesg info when reporting
    upgrade failures
  * Utilize new downloaded event from update-manager thereby speeding up usage
    of MetaReleaseCore.  Thanks to Anders Kaseorg for the patch.
  * Don't build depend on scrollkeeper thanks to Jeremy Bicha for the patch.

  [ Harald Sitter ]
  * data/DistUpgrade.cfg.precise: change kubuntu-desktop key dependencies to
    plasma-desktop, kubuntu-default-settings (previous ones did not exist or
    were simply bad key dependencies) LP: #1264887
    + Same for kubuntu-netbook using plasma-netbook,

