## ubuntu-release-upgrader 0.220.10

=== debian/changelog ===
ubuntu-release-upgrader (1:0.220.10) trusty-security; urgency=medium

  * Properly drop permissions when opening a browser. (LP: #1174007)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 09 Apr 2018 10:01:24 -0400

ubuntu-release-upgrader (1:0.220.9) trusty-proposed; urgency=medium

  * No change rebuild so the dist-upgrader tarball will be signed with the new
    method. (LP: #1645906)

 -- Brian Murray <brian@ubuntu.com>  Wed, 30 Nov 2016 09:53:35 -0800

ubuntu-release-upgrader (1:0.220.8) trusty-proposed; urgency=medium

  * DistUpgrade/build-tarball.sh: Copy the contents of demoted.cfg so it is
    not a broken symlink. (LP: #1498193)

 -- Brian Murray <brian@ubuntu.com>  Tue, 29 Sep 2015 12:56:26 -0700

ubuntu-release-upgrader (1:0.220.7) trusty; urgency=medium

  * DistUpgrade/DistUpgradeViewText.py:
    - flush stdout before reading user input. (LP: #1417880)

 -- Marius Gedminas <marius@gedmin.as>  Wed, 04 Feb 2015 10:49:34 -0500

ubuntu-release-upgrader (1:0.220.6) trusty-proposed; urgency=medium

  * data/removal_blacklist.cfg: make update-manager blacklist entry more
    specific so it does not match update-manager-kde. (LP: #1313165)

 -- Brian Murray <brian@ubuntu.com>  Thu, 13 Nov 2014 14:10:13 -0800

ubuntu-release-upgrader (1:0.220.5) trusty-proposed; urgency=medium

  * DistUpgrade/DistUpgradeApport.py:
    - modify Popen call to set universal_newlines=True (LP: #1357034)
    - log that dependency problems are not reported.
    - all apport versions support --tags now so just add dist-upgrade tag
    - remove redundant ErrorMessage string

 -- Brian Murray <brian@ubuntu.com>  Fri, 29 Aug 2014 13:09:31 -0700

ubuntu-release-upgrader (1:0.220.4) trusty-proposed; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - fix crash in free space check for certain locales (LP: #1172740)
    - removal of essential packages that are not in the main arch
      is ok (LP: #1307904)
    - fix str/unicode crash in certain locales when a package is
      found in the removal blacklist (LP: #1310053)
  * DistUpgrade/DistUpgradeViewGtk3.py:
   - make details dialog resize when details are expanded/collapsed 
     (LP: #1072460)
    - load webkit only when needed
  * DistUpgrade/DistUpgradeViewText.py:
    - fix py3 crash in text mode
  * DistUpgrade/DistUpgradeMain.py:
    - log python version
  * po/{eo,id,ug}.po:
    - fix translations of check-new-release-gtk which cause a crash
      (LP: #1311396)
  * data/demoted.cfg:
    - autmatic refresh of the demoted packages
  * po/*.po:
    - automatic refresh from launchpad

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 24 Apr 2014 14:57:39 +0200
