=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
                python3-update-manager,
                apt-clone (>= 0.2.3~ubuntu2)
 Build-Depends-Indep: libxml-parser-perl, 
-                     scrollkeeper, 
                      intltool
 Standards-Version: 3.9.3
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/ubuntu-release-upgrader/trunk
@@ -39,9 +38,8 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${python3:Depends},
          ${misc:Depends},
-         python3-update-manager,
+         python3-update-manager (>= 1:0.196.2~),
          python3-apt (>= 0.8.5~),
-         python-apport,
          lsb-release
 Replaces: python3-update-manager (<< 1:0.165)
 Breaks: python3-update-manager (<< 1:0.165)
