## ubuntu-release-upgrader 0.220.11

=== debian/changelog ===
ubuntu-release-upgrader (1:0.220.11) trusty; urgency=medium

  * DistUpgradeController.py: Handle the transition of ESM during the release
    upgrade. (LP: #1824862)
  * DistUpgrade/build-tarball.sh: include ESM archive's gpg key.
  * mirrors.cfg: add in esm.ubuntu.com as an official mirror, update mirrors.

 -- Brian Murray <brian@ubuntu.com>  Wed, 01 May 2019 15:09:41 -0700
