## ubuntu-release-upgrader 14.10.9

=== debian/changelog ===
ubuntu-release-upgrader (1:14.10.9) utopic; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - fix crash when one of the sources.list entries gives a network
      error (LP: #1347834)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 20 Oct 2014 10:12:27 -0400

ubuntu-release-upgrader (1:14.10.8) utopic; urgency=medium

  [ Brian Murray ]
  * data/removal_blacklist.cfg: make update-manager blacklist entry more
    specific so it does not match update-manager-kde. (LP: #1313165)

  [ Harald Sitter ]
  * DistUpgradeViewKDE mark byte strings correctly to avoid a TypeError
    on diff processing LP: #1375088

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 20 Oct 2014 12:24:43 +0200

ubuntu-release-upgrader (1:14.10.7) utopic; urgency=low

  * tests/test_dist_upgrade_fetcher_core.py:
    - fix ADT test

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Aug 2014 11:19:18 +0200

ubuntu-release-upgrader (1:14.10.6) utopic; urgency=medium

  [ Martin Pitt ]
  * check-new-release-gtk: Fix deprecated Gio.Settings constructor invocation.

  [ Brian Murray ]
  * Fix test failure with DistUpgradeFetcherCore test by switching from
    precise to trusty.
  * DistUpgrade/DistUpgradeApport.py:
    - log that dependency problems are not reported.
    - all apport versions support --tags now so just add dist-upgrade tag
    - remove redundant ErrorMessage string
    - modify Popen call to set universal_newlines=True (LP: #1357034)

 -- Brian Murray <brian@ubuntu.com>  Thu, 14 Aug 2014 15:40:19 -0700

ubuntu-release-upgrader (1:14.10.5) utopic; urgency=medium

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeController.py:
    - ensure that error variable is empty if not set (LP: #1321959)
  
  [ Michael Vogt ]
  * pep8 fixes to fix autopkgtest failure about the new E265
    error condition

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 26 Jun 2014 08:44:33 +0200

ubuntu-release-upgrader (1:14.10.4) utopic; urgency=medium

  * DistUpgrade/DistUpgradeController.py:
    - modify where the sort of foreign and obsolete lists of packages
      occurs (LP: #1322363)

 -- Brian Murray <brian@ubuntu.com>  Thu, 22 May 2014 14:46:13 -0700

ubuntu-release-upgrader (1:14.10.3) utopic; urgency=medium

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeController.py:
    - sort the foreign and obsolete lists of packages for easier reading.

  [ Michael Vogt ]
  * data/release-upgrades:
    - set upgrade prompt policy to "normal"

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 16 May 2014 13:52:42 +0200

ubuntu-release-upgrader (1:14.10.2) utopic; urgency=low

  * debian/test/control:
    - add missing pep8 test dependency
  * tests/test_xorg_fix_intrepid.py:
    - remove no longer needed multiset test

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 03 May 2014 08:37:51 +0200

ubuntu-release-upgrader (1:14.10.1) utopic; urgency=low

  * po/POTFILES:in:
    - remove DistUpgradeViewGtk.py to fix FTBFS

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 02 May 2014 16:35:34 +0200

ubuntu-release-upgrader (1:14.10.0) utopic; urgency=low

  * data/DistUpgrade.cfg:
    - updated for trusty->utopic
    - updated kernel remove version
    - add ubuntu-gnome-desktop meta package
    - remove no longer needed configuration entries
    - remove gtk2/py2 DistUpgradeViewGtk view
  * data/gtkbuilder/DistUpgrade.ui:
    - update 14.04 -> 14.10
  * data/removal_blacklist.cfg:
    - add ubuntu-gnome-desktop
  * DistUpgrade/{Devel,EOF,}ReleaseAccounement, DistUpgrade/window_main.ui:
    - updated for utopic
  * DistUpgrade/dist-upgrade.py:
    - move from py2 to py3
  * pre-build.sh:
    - update demotions
    - use py3 version of apt_btrfs_snapshot.py
  * tests/Makefile:
    - removed, not used anymore
  * DistUpgrade/DistUpgradeCache.py:
    - remove py2ism
  * tests/test_pep8.py:
    - enable for a subset of the code and fix a bunch of pep8 issues
  * DistUpgrade/DistUpgradeQuirks.py:
    - cleanup no longer needed quirks, pep8 clean
  * DistUpgrade/DistUpgradeViewGtk.py:
    - removed old gtk2 version, we have DistUpgradeViewGtk3.py and
      the gtk2 version will not work with py3
  * DistUpgrade/apt-autoinst-fixup.py:
    - removed, no longer used
  * DistUpgrade/*.py:
    - remove from future as we are on py3 now
  * DistUpgrade/DistUpgradeAufs.py, DistUpgrade/DistUpgradeConfigParser.py,
    DistUpgrade/DistUpgradeFetcherSelf.py:
    - add missing header
  * po/*.po:
    - automatic launchpad translation update
  * lp:~mvo/ubuntu-release-upgrader/partial-upgrade-cleanup:
    - fix crash when the DistUpgradeViewText is used with py3
    - fixes a bug with the logging setup (LP: #1302380) 
      Thanks to Brian Murray for the fix!
    - fixes a crash when do-partial-upgrade is used without a DISPLAY
  * lp:~mvo/ubuntu-release-upgrader/text-install-progress:
    - show basic text install progress during the upgrade

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 02 May 2014 15:54:18 +0200

ubuntu-release-upgrader (1:0.220.3) trusty-proposed; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - fix crash in free space check for certain locales (LP: #1172740)
    - removal of essential packages that are not in the main arch
      is ok (LP: #1307904)
    - fix str/unicode crash in certain locales when a package is
      found in the removal blacklist (LP: #1310053)
  * DistUpgrade/DistUpgradeViewGtk3.py:
   - make details dialog resize when details are expanded/collapsed 
     (LP: #1072460)
    - load webkit only when needed
  * DistUpgrade/DistUpgradeView.py:
    - if no encoding is found, use C.UTF-8 to ensure that e.g. python-apt
      can read sources.list (LP: #1309447)
  * DistUpgrade/DistUpgradeViewText.py:
    - fix py3 crash in text mode
  * DistUpgrade/DistUpgradeMain.py:
    - log python version
  * po/{eo,id,ug}.po:
    - fix translations of check-new-release-gtk which cause a crash
      (LP: #1311396)
  * data/demoted.cfg:
    - autmatic refresh of the demoted packages
  * po/*.po:

