## ubuntu-release-upgrader 14.10.10

=== debian/changelog ===
ubuntu-release-upgrader (1:14.10.10) utopic; urgency=medium

  * DistUpgrade/DistUpgradeViewText.py:
    - flush stdout before reading user input. (LP: #1417880)

 -- Marius Gedminas <marius@gedmin.as>  Wed, 04 Feb 2015 10:29:39 -0500
